DUB-ADD(1)

NAME
dub-add - Adds dependencies to the package file.

SYNOPSIS
dub add <package>[@<version-spec>] [<packages...>] OPTIONS...

DESCRIPTION
Adds <packages> as dependencies. Running "dub add <package>" is the same as adding <package> to the "dependencies" section in dub.json/dub.sdl. If no version is specified for one of the packages, dub will query the registry for the latest version.

OPTIONS

  COMMON OPTIONS
See dub(1)

EXIT STATUS

0   DUB succeeded

1   usage errors, unknown command line flags

2   package not found, package failed to load, miscellaneous error

FILES
dub.sdl, dub.json

AUTHOR
Copyright (c) 1999-2025 by The D Language Foundation

ONLINE DOCUMENTATION
http://code.dlang.org/docs/commandline

SEE ALSO
dub(1), dub-convert(1), dub-fetch(1), dub-init(1)